This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265011 - Please branch and build picosat for EPEL6/7
Please branch and build picosat for EPEL6/7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: picosat (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 17:23 EDT by Orion Poplawski
Modified: 2015-12-24 00:05 EST (History)
1 user (show)

See Also:
Fixed In Version: picosat-960-2.el6 picosat-960-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-23 23:55:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-09-21 17:23:15 EDT
Description of problem:

Would you be willing to maintain picosat in EPEL6/7?
Comment 1 Orion Poplawski 2015-09-21 17:50:33 EDT
Builds fine with:

diff --git a/picosat.spec b/picosat.spec
index 1f0007c..8b8a46d 100644
--- a/picosat.spec
+++ b/picosat.spec
@@ -112,6 +112,7 @@ cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man1

 %files libs
 %doc NEWS
+%{!?_licensedir:%global license %%doc}
 %license LICENSE
 %{_libdir}/libpicosat-trace.so.*
 %{_libdir}/libpicosat.so.*
Comment 2 Jerry James 2015-09-22 16:53:29 EDT
I am not interested in maintaining EPEL packages, but I have no problem at all with interested parties branching packages I maintain for EPEL.

Note that I plan to retire csisat soon, which will make picosat's Patch1 unnecessary.
Comment 3 Orion Poplawski 2015-09-24 11:25:21 EDT
Thanks, I'll maintain it then.  Mind if I push the change in comment #1 to master?

Package Change Request
======================
Package Name: picosat
New Branches: epel7 el6
Owners: orion
InitialCC:
Comment 4 Gwyn Ciesla 2015-09-24 13:35:45 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-12-07 17:00:56 EST
picosat-960-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4f9ba2b001
Comment 6 Fedora Update System 2015-12-07 17:00:56 EST
picosat-960-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-bfb1e9b44b
Comment 7 Fedora Update System 2015-12-08 02:19:39 EST
picosat-960-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update picosat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-bfb1e9b44b
Comment 8 Fedora Update System 2015-12-08 02:20:55 EST
picosat-960-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update picosat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4f9ba2b001
Comment 9 Fedora Update System 2015-12-23 23:55:32 EST
picosat-960-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-12-24 00:05:56 EST
picosat-960-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.